package com.chelvc.framework.database.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;

/**
 * 数据模型操作接口
 *
 * @author Woody
 * @date 2024/2/27
 */
public interface BasicMapper<T> extends BaseMapper<T> {
    /**
     * 创建或忽略实体
     *
     * @param entity 实体对象实例
     * @return true/false
     */
    boolean insertIgnore(T entity);

    /**
     * 创建或修改实体
     *
     * @param entity 实体对象实例
     * @return true/false
     */
    boolean insertUpdate(T entity);
}
